libcalendar-ocaml_2.04-1+b2_i386.deb


Advertisement

Description

libcalendar-ocaml - OCaml library providing operations over dates and times (runtime)

Property Value
Distribution Debian Sid
Repository Debian Main i386
Package name libcalendar-ocaml
Package version 2.04
Package release 1+b2
Package architecture i386
Package type deb
Installed size 291 B
Download size 69.01 KB
Official Mirror ftp.br.debian.org
Description -

Alternatives

Package Version Architecture Repository
libcalendar-ocaml_2.04-1+b2_amd64.deb 2.04 amd64 Debian Main
libcalendar-ocaml - - -

Requires

Name Value
libc6 >= 2.1.3
ocaml-base-nox-4.05.0 -

Provides

Name Value
libcalendar-ocaml-luvd3 -

Replaces

Name Value
libcalendar-ocaml-dev << 2.01.1-4

Download

Type URL
Binary Package libcalendar-ocaml_2.04-1+b2_i386.deb
Source Package calendar

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libcalendar-ocaml deb package:
    # sudo apt-get install libcalendar-ocaml

Files

Path
/usr/lib/ocaml/calendar/META
/usr/lib/ocaml/calendar/calendarLib.cma
/usr/lib/ocaml/calendar/calendarLib.cmxs
/usr/share/doc/libcalendar-ocaml/changelog.Debian.gz
/usr/share/doc/libcalendar-ocaml/changelog.Debian.i386.gz
/usr/share/doc/libcalendar-ocaml/changelog.gz
/usr/share/doc/libcalendar-ocaml/copyright

Changelog

2015-05-19 - Stéphane Glondu <glondu@debian.org>
calendar (2.04-1) unstable; urgency=medium
* New upstream release
* Bump debhelper compat level to 9
* debian/rules: switch to dh style
* Bump Standards-Version to 3.9.6
* Use last changelog entry for build date (for reproducibility)
2013-12-03 - Stéphane Glondu <glondu@debian.org>
calendar (2.03.2-3) unstable; urgency=low
* Upload to unstable
* Update Vcs-*
2013-11-11 - Stéphane Glondu <glondu@debian.org>
calendar (2.03.2-2) experimental; urgency=low
* Compile with OCaml >= 4.01
2013-05-08 - Stéphane Glondu <glondu@debian.org>
calendar (2.03.2-1) unstable; urgency=low
* New upstream release
* New debian/watch file by Bart Martens
* Use format version 1.0 in debian/copyright
* Bump Standards-Version to 3.9.4
2011-04-15 - Mehdi Dogguy <mehdi@debian.org>
calendar (2.03-1) unstable; urgency=low
[ Stefano Zacchiroli ]
* debian/rules
- switch {debhelper,dpatch}.mk: fix debian/*.log cleanup
* debian/control: fix typo in long description (Closes: #557494)
[ Stéphane Glondu ]
* Install plugin only on natdynlink architectures
* debian/control:
- add myself to Uploaders, remove Stefano
- replace Conflicts by Breaks
- bump Standards-Version to 3.9.0
[ Mehdi Dogguy ]
* New upstream release.
- Remove cmxs.dpatch (integrated upstream).
- Remove meta.dpatch (integrated upstream).
* Convert to 3.0 quilt format
- Convert remaining patches to quilt format
- Remove dpatch from b-deps
* Remove hard-coded runtime dependencies
* Bump dh-ocaml version to 0.9.5 in Build-Depends.
* Update copyright file
* Fix watch file
2009-10-06 - Stefano Zacchiroli <zack@debian.org>
calendar (2.01.1-6) unstable; urgency=low
* debian/control
- fix Mehdi's mail address, now that he is a DD
- bump Standards-Version to 3.8.3 (no changes needed)
- remove DM-Upload-Allowed (no longer needed)
* switch to dh_ocaml for dependency calculation, add needed substvar and
bump dh-ocaml build-dep accordingly. Keep hand-written dependency for
the interim
* Stop using ocamldoc-api-ref-config: it is gone (closes: #549773).
While dh_ocamldoc lacks support for that, add a hand-written
debian/libcalendar-ocaml-doc.doc-base .
2009-04-20 - Mehdi Dogguy <dogguy@pps.jussieu.fr>
calendar (2.01.1-5) unstable; urgency=low
* Update watch file
* Fix FTBFS on non-native archs by not installing cmx files.
2009-03-21 - Mehdi Dogguy <dogguy@pps.jussieu.fr>
calendar (2.01.1-4) unstable; urgency=low
* debian/rules: installing upstream's documentation.
* Move to new ocaml section.
* Add cmxs.dpatch to build and install cmxs file.
* Add two binary packages:
- libcalendar-ocaml-doc: contains the API documentation, to not be
forced to install libcalendar-ocaml-doc when you install
libcalendar-ocaml-dev.
- libcalendar-ocaml: contains the shared runtime libraries.
* libcalendar-ocaml-dev depends on libcalendar-ocaml and suggests
libcalendar-ocaml-doc.
* Bump standards version to 3.8.1, no changes needed.
* Restore upstream files after building.
2009-03-19 - Stefano Zacchiroli <zack@debian.org>
calendar (2.01.1-3) unstable; urgency=low
[ Mehdi Dogguy ]
* Add meta.dpatch to allow any executable to be linked using ocamlfind.
(Closes: #520287)
* Modify install_destdir.dpatch: not install cmi of then inner modules
nor calendarLib.o
* Add myself to uploaders
* Add DMUA header (with Zack's blessing)
[ Stefano Zacchiroli ]
* debian/control: point Homepage field to the new forge project page
2009-03-02 - Stefano Zacchiroli <zack@debian.org>
calendar (2.01.1-2) unstable; urgency=low
* debian/patches/*
- install_destdir.dpatch: use $(wilcard...) to expand *.cmxa only if
they are actually there. Fix FTBFS on byte archs. (Closes: #517702)

See Also

Package Description
libcalendar-simple-perl_1.23-1_all.deb module for producing simple calendars
libcalendarsupport4_4.14.10-7+b3_i386.deb calendar support library
libcallback1_2.1-2_i386.deb foreign function call libraries - closures with variable arguments in C
libcam-pdf-perl_1.60-3_all.deb PDF manipulation library
libcamd2_5.2.0+dfsg-1_i386.deb symmetric approximate minimum degree library for sparse matrices
libcamel-1.2-61_3.28.2-1+b1_i386.deb Evolution MIME message handling library
libcamel1.2-dev_3.28.2-1+b1_i386.deb Development files for libcamel
libcamera-calibration-parsers-dev_1.11.11-3+b2_i386.deb Robot OS camera_calibration_parsers package - development
libcamera-calibration-parsers0d_1.11.11-3+b2_i386.deb Robot OS camera_calibration_parsers package
libcamera-info-manager-dev_1.11.11-3+b2_i386.deb Robot OS camera_info_manager package - development
libcamera-info-manager0d_1.11.11-3+b2_i386.deb Robot OS camera_info_manager package
libcamitk-dev_4.0.4-2+b2_i386.deb Computer Assisted Medical Intervention Tool Kit - development
libcamitk4-data_4.0.4-2_all.deb Computer Assisted Medical Intervention Tool Kit - data
libcamitk4-doc_4.0.4-2_all.deb Computer Assisted Medical Intervention Tool Kit - documentation
libcamitk4_4.0.4-2+b2_i386.deb Computer Assisted Medical Intervention Tool Kit - runtime
Advertisement
Advertisement